#
# spec file for package obs-service-elixir_mix_deps
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-elixir_mix_deps
#               This will be set by osc services, that will run after this.
Version:        0.3.0~0
Release:        1.1
Summary:        OBS Source Service for Elixir software packaging
License:        GPL-2.0-only
URL:            https://github.com/openSUSE/obs-service-elixir_mix_deps
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig(libzstd)
Requires:       elixir
ExclusiveArch:  %{rust_tier1_arches}

%description
OBS Source Service for Elixir software packaging

%prep
%autosetup -p1 -a1

%build
%{cargo_build}

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{_builddir}/%{name}-%{version}/target/release/%{name} %{buildroot}%{_prefix}/lib/obs/service/elixir_mix_deps

%files
%license LICENSE
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Fri Jun  6 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Update to version 0.3.0~0:
  * doc: change rpmspec to spec annotation in README
  * doc: replace examples with actual ex_doc usage from Factory
  * Bump clap from 4.5.38 to 4.5.39
  * Bump clap from 4.5.36 to 4.5.38
  * Bump assert_cmd from 2.0.16 to 2.0.17
  * Bump anyhow from 1.0.97 to 1.0.98
  * Bump clap from 4.5.34 to 4.5.36
  * Bump flate2 from 1.1.0 to 1.1.1
  * Bump thiserror from 2.0.9 to 2.0.12
  * Bump clap from 4.5.23 to 4.5.34
  * Bump anyhow from 1.0.95 to 1.0.97
  * Bump zstd from 0.13.2 to 0.13.3
  * Bump flate2 from 1.0.35 to 1.1.0
  * Bump tar from 0.4.43 to 0.4.44
  * Move dependabot config to the right location
  * Add dependabot
  * Start working on 0.3.0
  * End to end testing using assert_cmd
  * Bump deps, 2024 12 25
  * Add CI badge to the README file
  * Give the CI job the right name
  * Add Factory build status badge
* Sat Nov 30 2024 Alessio Biancalana <alessio.biancalana@suse.com>
- Change the URL from the original one to the actual official openSUSE git repo
* Wed Nov 27 2024 Alessio Biancalana <alessio.biancalana@suse.com>
- Update to version 0.2.0~0:
  * Add outdir to the service file
  * Strip a useless line in README
* Sat Nov 23 2024 Alessio Biancalana <alessio.biancalana@suse.com>
- First version of the package
